> For the complete documentation index, see [llms.txt](https://docs.apono.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apono.io/docs/kubernetes-environment/creating-secrets-in-kubernetes.md).

# Creating Secrets in Kubernetes

## Creating Secrets in Kubernetes

## Overview

The Apono Connector uses the [Kubernetes Secrets](https://kubernetes.io/docs/concepts/configuration/secret) to connect to resource integration without storing any secrets.

## Step by step guide

### Prerequisites

1. An [Apono connector](/docs/kubernetes-environment/apono-connector-for-kubernetes.md) installed in your Kubernetes cluster

### Create a new secret for Apono

1. Create the secret

> 📘 NOTE: each integration requires different secret parameters
>
> Consult the integration's guide to learn more

```
kubectl create secret generic <<SecretName>> <INSERT PARAM PAIRS HERE> 
```

* Param format: `--from-literal=PARAM KEY=PARAM VALUE`\
  Repeat this for each required param, based on the [integration parameters](https://docs.apono.io/reference/integrations).

2. Label the secret with `apono-connector-read: true`:

```bash
  kubectl label secret <<SecretName>> "apono-connector-read=true"
```

3. Give the Apono connector permissions to the secret:

```
helm upgrade apono-connector apono-connector --repo https://apono-io.github.io/apono-helm-charts \
    --set-string apono.token=[APONO_TOKEN] \
    --set-string apono.connectorId=[CONNECTOR_NAME] \
    --set serviceAccount.manageClusterRoles=true \
    --set allowedSecretsToRead={secret1\,secret2\,secret3} \
    --namespace apono-connector 
```

### Provide Apono with the secret

1. When adding a new integration, provide the secret details:
2. Namespace
3. Secret name

![](https://files.readme.io/6c1be4f-image.png)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apono.io/docs/kubernetes-environment/creating-secrets-in-kubernetes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
